GetFamilyRuleDependencies
FamilyService
GetFamilyRuleDependencies
Retrieves all rules that reference the specified family across any of its stats.
GET
GetFamilyRuleDependencies
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.siftstack.com/api/v1/families/{familyId}/rule-dependencies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/families/{familyId}/rule-dependencies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/families/{familyId}/rule-dependencies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"ruleDependencies": [
{
"ruleId": "<string>",
"name": "<string>",
"statReference": {
"reference": "<string>",
"familyId": "<string>",
"familyStatName": "<string>",
"familyStatExpression": "<string>",
"familyStatRangeName": "<string>"
}
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Retrieves all rules that reference the specified family across any of its stats.
curl --request GET \
--url https://api.siftstack.com/api/v1/families/{familyId}/rule-dependencies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/families/{familyId}/rule-dependencies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/families/{familyId}/rule-dependencies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"ruleDependencies": [
{
"ruleId": "<string>",
"name": "<string>",
"statReference": {
"reference": "<string>",
"familyId": "<string>",
"familyStatName": "<string>",
"familyStatExpression": "<string>",
"familyStatRangeName": "<string>"
}
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Was this page helpful?